| Home | Libraries | People | FAQ | More

##### in

###### Description

Read a Sequence from an input stream.

###### Synopsis

    template <typename IStream, typename Sequence>
    IStream&
    operator>>(IStream& is, Sequence& seq);

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
is | An input stream. | Stream to extract information from.
seq | A Sequence. | The sequence to read.

###### Expression Semantics

    is >> seq

Return type: IStream&

Semantics: For each element, `e`, in sequence, `seq`, call `is >> e`.

###### Header

    #include <boost/fusion/sequence/io/in.hpp>
    #include <boost/fusion/include/in.hpp>

###### Example

    vector<int, std::string, char> v;
    std::cin >> v;